Summary:        Generates barcodes from text strings
Name:           barcode
Version:        0.98
Release:    1%{?dist}
License:        GPLv2+
URL:            https://www.gnu.org/software/barcode/
Source0:        https://ftp.gnu.org/gnu/barcode/%{name}-%{version}.tar.gz
Patch0:         barcode-configure.patch
Patch1:         barcode-install-info.patch
Patch2:         barcode-0.98-format-security.patch
Patch3:         barcode-configure-c99.patch
Patch4:         barcode-c99.patch
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  %{_bindir}/texindex
BuildRequires:  %{_bindir}/dvips
BuildRequires:  %{_bindir}/makeinfo
BuildRequires:  ghostscript

%description
Barcode is meant to solve most needs in barcode creation with a
conventional printer. It can create printouts for the conventional
product tagging standards: UPC-A, UPC-E, EAN-13, EAN-8, ISBN, as well
as a few other formats. Ouput is generated as either Postscript or
Encapsulated Postscript.

%package devel
Summary:        Header files and libraries for %{name} development
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}

%description devel
The %{name}-devel package contains the header files and libraries needed
to develop programs that use the %{name} library.

%prep
%setup -q
%patch0 -p1 -b .directories
%patch1 -p1 -b .categories
%patch2 -p1 -b .format-security
%patch3 -p1
%patch4 -p1

%build
export MAKEINFO=makeinfo
%configure
make -C doc clean
make # doesn't support %%{?_smp_mflags}

%install
%make_install \
  bindir=%{buildroot}%{_bindir} \
  includedir=%{buildroot}%{_includedir} \
  libdir=%{buildroot}%{_libdir} \
  mandir=%{buildroot}%{_mandir} \
  infodir=%{buildroot}%{_infodir}

%files
%license COPYING
%doc ChangeLog README doc/barcode.html
%{_bindir}/barcode
%{_mandir}/man1/barcode.1*
%{_infodir}/barcode.info.*

%files devel
%{_includedir}/*.h
%{_libdir}/*.a
%{_mandir}/man3/barcode.3*

%changelog
* Fri Aug 09 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.98-1
- initial build
